=== debian/control ===
Source: kde-style-qtcurve
Section: kde
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev(>= 4:4.3.4), libx11-dev
Homepage: http://www.kde-look.org/content/show.php?content=40492
Vcs-Git: git://github.com/tehnick/kde-style-qtcurve-debian.git
Vcs-Browser: https://github.com/tehnick/kde-style-qtcurve-debian
Standards-Version: 3.9.3
DM-Upload-Allowed: yes

Package: kde-style-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kwin-style-qtcurve
Suggests: gtk2-engines-qtcurve
Description: QtCurve widget style for KDE 4
 This package contains the QtCurve widget style for KDE 4.
 .
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.

Package: kwin-style-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-style-qtcurve
Suggests: gtk2-engines-qtcurve
Description: QtCurve window decoration for KWin
 This package contains the QtCurve window decoration for KWin.
 .
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.

Package: qtcurve-i18n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: Translation files for QtCurve
 This package contains translation files for QtCurve.
 .
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.

Package: qtcurve
Section: metapackages
Architecture: any
Depends: ${misc:Depends},
 kde-style-qtcurve, kwin-style-qtcurve,
 gtk2-engines-qtcurve, qtcurve-i18n
Description: Unified window decoration for KDE and GTK+ (meta-package)
 This package installs all packages related with QtCurve:
  * kde-style-qtcurve
  * kwin-style-qtcurve
  * gtk2-engines-qtcurve
  * qtcurve-i18n
 .
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.
