=== debian/changelog ===
kde-style-qtcurve (1.8.14-3) unstable; urgency=low

  * Move package to unstable: no changes required.
  * Bump Standards-Version to 3.9.4 (was 3.9.3): no changes required.
  * Add debian/patches/add-russian-translation: add Russian localization file.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 23 May 2013 20:44:37 +0300

kde-style-qtcurve (1.8.14-2) experimental; urgency=low

  * Rename package qtcurve-i18n to qtcurve-l10n.
    New package provides virtual package qtcurve-i18n for smooth transition.
  * Fix get-orig-source section in according with Debian Policy §4.9.
  * Remove obsolete DM-Upload-Allowed flag.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 24 Oct 2012 07:26:55 +0300

kde-style-qtcurve (1.8.14-1) experimental; urgency=low

  * Update to stable release 1.8.14.

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 10 Aug 2012 00:01:49 +0300

kde-style-qtcurve (1.8.13-1) experimental; urgency=low

  * Update to stable release 1.8.13.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 01 Aug 2012 00:53:21 +0300
