=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 Homepage: http://www.kde-look.org/content/show.php?content=40492
 Vcs-Git: git://github.com/tehnick/kde-style-qtcurve-debian.git
 Vcs-Browser: https://github.com/tehnick/kde-style-qtcurve-debian
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 
 Package: kde-style-qtcurve
 Architecture: any
@@ -40,10 +39,13 @@
  The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
  package.
 
-Package: qtcurve-i18n
+Package: qtcurve-l10n
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}
+Provides: qtcurve-i18n
+Replaces: qtcurve-i18n
+Conflicts: qtcurve-i18n
 Description: Translation files for QtCurve
  This package contains translation files for QtCurve.
  .
@@ -56,13 +58,13 @@
 Architecture: any
 Depends: ${misc:Depends},
  kde-style-qtcurve, kwin-style-qtcurve,
- gtk2-engines-qtcurve, qtcurve-i18n
+ gtk2-engines-qtcurve, qtcurve-l10n
 Description: Unified window decoration for KDE and GTK+ (meta-package)
  This package installs all packages related with QtCurve:
   * kde-style-qtcurve
   * kwin-style-qtcurve
   * gtk2-engines-qtcurve
-  * qtcurve-i18n
+  * qtcurve-l10n
  .
  QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
  look between KDE and GTK+ applications, which is easy on the eyes and visually
