=== debian/watch ===
version=3
http://www.kde-look.org/content/download.php?content=40492&id=1 http://craigd.wikispaces.com/file/view/QtCurve-KDE4-(.*).tar.bz2
